=== debian/changelog ===
akonadi1 (1.13.0-8ubuntu2) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 05 Apr 2016 12:12:01 +0000

akonadi1 (1.13.0-8ubuntu1) wily; urgency=medium

  * Rename source to akonadi1 from akonadi
    + This is now a transitional source to allow kde4pimlibs applications to
      install
    + Merge with debian unstable
    + Rename akonadi-dbg to akonadi1-dbg to reflect the change in the source
    + Rip out all runtime packages (-server -backend-*) as we do not support
      actually running the akonadi1 server
    + Break&replace old packages
    + libakonadi-dev conflicts libkf5akonadiserver-dev as they install the
      same dbus interfaces and thus must not be installed at the same time

 -- Harald Sitter <sitter@kde.org>  Wed, 02 Sep 2015 14:37:58 +0200

akonadi (1.13.0-8) unstable; urgency=medium

  * Team upload.
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 29 Aug 2015 00:41:28 +0200

akonadi (1.13.0-7) unstable; urgency=medium

  * Team upload.
  * Removed some patches introduced in previous upload due to regressions
    causing invalid SQL commands.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 20 Jul 2015 12:30:32 +1000

akonadi (1.13.0-6) unstable; urgency=medium

  * Team upload.
  * New "upstream-MOVEcomplete.patch" (fixes deadlock).
  * Bunch of optimisation patches from upstream 1.13 branch.
  * Install "akonadictl.1" man page.
  * copyright: reviewed, converted to copyright-format-1.0 and updated.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 20 Jul 2015 03:26:42 +1000

akonadi (1.13.0-5) unstable; urgency=medium

  * Team upload.
  * New upstream patches:
    + upstream-use-QAtomicInt.patch
    + upstream-prevent-QTimer-negative-interval.patch
  * Initialise PSQL database with "--data-checksums" (Closes: #791807).
  * Build-Depends: removed "mysql-server-core" (not needed on build time).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 19 Jul 2015 20:31:33 +1000

akonadi (1.13.0-4) unstable; urgency=medium

  * Team upload.
  * backend-mysql: depend on MySQL-5.6 or any MySQL flavour (Closes: #746651)
    Depends:
    - mysql-server-core-5.5 | mysql-server-core
    + mysql-server-core-5.6 | virtual-mysql-server-core
  * Standards-Version: 3.9.6.
  * xs-testsuite-header-in-debian-control: removed "XS-Testsuite" header.
  * Updated Vcs-Browser URL.
  * Patches renamed to consistently end with ".patch".
  * New patch to add PostgreSQL 9.4 search path (Closes: #791805).

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 13 Jul 2015 23:56:38 +1000

akonadi (1.13.0-3) unstable; urgency=medium

  * Team upload.
  * Apply upstream_dont_leak_old_external_payload_files.patch which fixes a bug
    that let old files be kept when they should be removed.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 30 Jun 2015 12:03:32 -0300

akonadi (1.13.0-2ubuntu5) wily; urgency=medium

  * No change rebuild for boost1.58/libstdc++6.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Sun, 02 Aug 2015 11:57:02 +0100

akonadi (1.13.0-2ubuntu4) vivid; urgency=medium

  * debian/rules: re-enable the override_dh_installinit target, disabled
    in an earlier merge from debian. This allows dh-apparmor to create
    the postinst for the akonadi-backend-mysql package, which creates
    the missing part of that package's apparmor profile at install time
    (LP: #1440501)

 -- Steve Beattie <sbeattie@ubuntu.com>  Wed, 15 Apr 2015 10:48:33 -0700

akonadi (1.13.0-2ubuntu3) vivid; urgency=medium

  * Still prefer mysql 5.6, but allow any mysql implementation that provides
    virtual-mysql-server-core and virtual-mysql-client-core
    (LP: #1336005)
  * Force dependency on akonadi-backend-mysql for akonadi-server.
    (was accidentally dropped in the last debian merge)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 15 Apr 2015 16:57:20 +0200

akonadi (1.13.0-2ubuntu2) vivid; urgency=medium

  * Allow using mariadb 10.0 as backend for akonadi-backend-mysql
    (LP: #1441119)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 09 Apr 2015 18:25:44 +0200

akonadi (1.13.0-2ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Add a mysqld-akonadi wrapper script.
    - Add apparmor profile for mysqld-akonadi (usr.sbin.mysqld-akonadi).
    - Make akonadi-backend-mysql depend on mysql-server-core-5.5 and
      mysql-client-core-5.5 or *5.6 instead of mysql-server-core.
    - Force dependency on akonadi-backend-mysql for akonadi-server.
    - Keep debian/libakonadiprotocolinternals1.symbols from Ubuntu
    - Add Kubuntu to the maintainers as we are moving to debian git.

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 31 Oct 2014 14:50:27 +0000

akonadi (1.13.0-2) unstable; urgency=medium

  [ Pino Toscano ]
  * Bump the priority of all the binaries, except akonadi-dbg, to optional
    (as other packages depend on them).

  [ Maximiliano Curia ]
  * New upstream patch: upstream-fix_typo_in_if_condition
  * New upstream patch: upstream-
    fix_buffer_overflow_in_AKTEST_FAKESERVER_MAIN
  * New upstream patch: upstream-
    do_not_crash_when_setmntent_returns_NULL
  * Update symbols files from buildds logs (1.13.0-1).
  * New upstream patch: upstream_dont_call_insert_from_Q_ASSERT
  * libakonadi-dev: Add libqt4-dev Dependency.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 19 Sep 2014 11:04:57 +0200

akonadi (1.13.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove upstream patches.
  * Update symbols file.
  * Add missing breaks for kdepim-runtime << 4:4.13. (Closes: #749776)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 19 Aug 2014 21:01:28 +0200

akonadi (1.12.91-0ubuntu1) utopic; urgency=medium

  * New upstream release needed for KDE 4.13.90 beta 2
  * Remove patches applied upstream.
  * Update symbols with batchpatch.

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 18 Jul 2014 15:38:49 -0700


