=== debian/control ===
Source: akonadi1
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Krap Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>,
           Modestas Vainius <modax@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: automoc,
               cmake (>= 2.8.8),
               debhelper (>= 9),
               dh-apparmor,
               libboost-program-options-dev,
               libdbus-1-dev,
               libmysqlclient-dev,
               libqt4-dev (>= 4:4.8.0),
               libsoprano-dev (>= 2.7.56),
               libsqlite3-dev (>= 3.6.23),
               libxslt-dev,
               pkg-kde-tools (>= 0.12),
               shared-mime-info (>= 0.20),
               xsltproc
Standards-Version: 3.9.6
Homepage: http://pim.kde.org/akonadi
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/krap/akonadi1.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/krap/akonadi1.git

Package: libakonadiprotocolinternals1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libakonadiprivate1 (<< 1.4.90)
Breaks: kdepim-runtime (<< 4:4.13), libakonadiprivate1 (<< 1.4.90)
Description: libraries for the Akonadi PIM storage service
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package contains libraries used by the Akonadi PIM storage service.

Package: libakonadi-dev
Section: libdevel
Architecture: any
Depends: libakonadiprotocolinternals1 (= ${binary:Version}),
         libboost-dev,
         libqt4-dev (>= 4:4.8.0),
         ${misc:Depends}
Suggests: pkg-config
Conflicts: libkf5akonadiserver-dev
Description: development files for the Akonadi PIM storage service
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package contains development files for building software that uses the
 Akonadi PIM storage service.

Package: akonadi1-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libakonadiprotocolinternals1 (= ${binary:Version}), ${misc:Depends}
Breaks: akonadi-dbg (<< 1.13.0-8ubuntu1~)
Replaces: akonadi-dbg (<< 1.13.0-8ubuntu1~)
Description: debugging symbols for the Akonadi PIM storage service
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package contains debugging files used to investigate problems with
 the Akonadi PIM storage service.
